# Uses of Class
net.shibboleth.idp.consent.flow.ar.impl.AttributeReleaseFlowDescriptor

Packages that use AttributeReleaseFlowDescriptor
Package
Description
net.shibboleth.idp.consent.flow.ar.impl
Actions and flow descriptors related to attribute release consent.

## Uses of AttributeReleaseFlowDescriptor in net.shibboleth.idp.consent.flow.ar.impl

Fields in net.shibboleth.idp.consent.flow.ar.impl declared as AttributeReleaseFlowDescriptor
Modifier and Type
Field
Description
`private AttributeReleaseFlowDescriptor`
AbstractAttributeReleaseAction.`attributeReleaseFlowDescriptor`
The attribute consent flow descriptor.
Methods in net.shibboleth.idp.consent.flow.ar.impl that return AttributeReleaseFlowDescriptor
Modifier and Type
Method
Description
`AttributeReleaseFlowDescriptor`
AbstractAttributeReleaseAction.`getAttributeReleaseFlowDescriptor()`
Get the attribute release flow descriptor.